

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.21. grn_search &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.22. grn_table" href="grn_table.html" />
    <link rel="prev" title="7.25.20. grn_proc" href="grn_proc.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_search.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_table.html" title="7.25.22. grn_table"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_proc.html" title="7.25.20. grn_proc"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.21. </span><code class="docutils literal notranslate"><span class="pre">grn_search</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-search">
<h1><span class="section-number">7.25.21. </span><code class="docutils literal notranslate"><span class="pre">grn_search</span></code><a class="headerlink" href="#grn-search" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.21.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.21.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.21.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c type">
<dt id="c.grn_search_optarg">
<em class="property">type </em><code class="sig-name descname">grn_search_optarg</code><a class="headerlink" href="#c.grn_search_optarg" title="Permalink to this definition">¶</a><br /></dt>
<dd></dd></dl>

<dl class="c function">
<dt id="c.grn_obj_search">
grn_rc <code class="sig-name descname">grn_obj_search</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>query</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>res</em>, grn_operator <em>op</em>, <a class="reference internal" href="#c.grn_search_optarg" title="grn_search_optarg">grn_search_optarg</a> *<em>optarg</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_search" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>objを対象としてqueryにマッチするレコードを検索し、opの指定に従ってresにレコードを追加あるいは削除します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 検索対象のobjectを指定します。</p></li>
<li><p><strong>query</strong> – 検索クエリを指定します。</p></li>
<li><p><strong>res</strong> – 検索結果を格納するテーブルを指定します。</p></li>
<li><p><strong>op</strong> – <code class="docutils literal notranslate"><span class="pre">GRN_OP_OR</span></code>, <code class="docutils literal notranslate"><span class="pre">GRN_OP_AND</span></code>, <code class="docutils literal notranslate"><span class="pre">GRN_OP_AND_NOT</span></code>, <code class="docutils literal notranslate"><span class="pre">GRN_OP_ADJUST</span></code> のいずれかを指定します。</p></li>
<li><p><strong>optarg</strong> – 詳細検索条件を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.21. <code class="docutils literal notranslate"><span class="pre">grn_search</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.21.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.21.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.21.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_proc.html"
                        title="previous chapter"><span class="section-number">7.25.20. </span><code class="docutils literal notranslate"><span class="pre">grn_proc</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_table.html"
                        title="next chapter"><span class="section-number">7.25.22. </span><code class="docutils literal notranslate"><span class="pre">grn_table</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_table.html" title="7.25.22. grn_table"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_proc.html" title="7.25.20. grn_proc"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.21. </span><code class="docutils literal notranslate"><span class="pre">grn_search</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>